Issue 86322 - Locale file for Turkmen language
Locale file for Turkmen language
Status: CLOSED FIXED
Product: Internationalization
Classification: Code
Component: i18npool
current
All All
: P3 trivial (vote)
: ---
Assigned To: oc
issues@l10n
http://www.bayjan.com
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-21 16:48 UTC by jbayjan
Modified: 2013-08-07 15:02 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
Locale for Turkmen language (13.30 KB, text/xml)
2008-02-21 16:49 UTC, jbayjan
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description jbayjan 2008-02-21 16:48:15 UTC
Turkmen language is an official language of Turkmenistan and herewith I attach
locale file for the version of Turkmen language that is spoken in Turkmenistan.
Comment 1 jbayjan 2008-02-21 16:49:30 UTC
Created attachment 51635 [details]
Locale for Turkmen language
Comment 2 ivo.hinkelmann 2008-02-21 17:17:31 UTC
eike, your baby
Comment 3 ooo 2008-02-21 17:39:04 UTC
Reassigning to spare time account.
Comment 4 erack 2008-02-28 23:37:47 UTC
@jbayjan:
Thank you for your contribution. Please note that to integrate code or
data contributed we need a signed Joint Copyright Assignment form (JCA)
filled-out, see
http://contributing.openoffice.org/programming.html#jca
To be able to lookup your name in the list of approved assignments I'd
appreciate if you stated your full name here in this issue.

When test compiling the attached data I got:

Warning: Time100SecSeparator equals TimeSeparator, this is probably an error.
Warning: Time100SecSeparator is different from DecimalSeparator, this may be
correct or not. Intended?
Warning: Don't forget to adapt corresponding FormatCode elements when changing
separators.
Warning: DoubleQuotationStart is an ASCII character but DoubleQuotationEnd is not.
Warning: FormatCode formatindex="12" for currency uses parentheses for negative
amounts, which probably is not correct for locales not based on en_US.
Warning: FormatCode formatindex="13" for currency uses parentheses for negative
amounts, which probably is not correct for locales not based on en_US.
Warning: FormatCode formatindex="14" for currency uses parentheses for negative
amounts, which probably is not correct for locales not based on en_US.
Warning: FormatCode formatindex="15" for currency uses parentheses for negative
amounts, which probably is not correct for locales not based on en_US.
Warning: FormatCode formatindex="17" for currency uses parentheses for negative
amounts, which probably is not correct for locales not based on en_US.

I changed Time100SecSeparator to ',' comma instead, which is also the
DecimalSeparator, and adapted format codes.

The DoubleQuotationStart/DoubleQuotationEnd mismatch looks wrong to me, what
would be correct? Also, QuotationStart/QuotationEnd should be some form of
single quotes instead of double quotes.

The negative currency formats
([CURRENCY]# ##0)
Probably need correction.

According to http://en.wikipedia.org/wiki/Turkmenistani_manat the currency
symbol is 'm' instead of 'manat', I changed that.

However, committed to CWS locales30:

i18npool/source/localedata/localedata.cxx  1.54.8.5
i18npool/source/localedata/data/localedata_others.map  1.16.10.2
i18npool/source/localedata/data/makefile.mk  1.43.10.4
i18npool/source/localedata/data/Attic/tk_TM.xml  1.1.2.1

As I had to get this in very quickly before UI/feature freeze, please submit a
new issue for necessary corrections.

Thanks
  Eike
Comment 5 ooo 2008-02-29 11:58:22 UTC
Reassigning to QA for verification.
Comment 6 oc 2008-03-05 07:45:31 UTC
verified in internal build cws_locales30
Comment 7 oc 2008-10-17 14:14:20 UTC
closed because fix available in builds OOO300_m9 and DEV300_m33